# $Revision: 1.11 $, $Date: 2008/06/11 10:28:29 $
Summary:	A seamless aspect-oriented extension to the Java programming language
Summary(pl.UTF-8):	Przezroczyste zorientowane aspektowo rozszerzenie dla języka Java
Name:		aspectj
Version:	1.6.0
Release:	1
License:	CPL v1.0
Group:		Development/Languages
Source0:	http://download.eclipse.org/tools/aspectj/%{name}-%{version}.jar
# Source0-md5:	6648c5c594638a67c08a40585396b2f3
URL:		http://eclipse.org/aspectj/
Requires:	jre >= 1.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_javalibdir	%{_libdir}/java
%define		_javadatadir	%{_datadir}/java

%description
A seamless aspect-oriented extension to the Java programming language.

%description -l pl.UTF-8
Przezroczyste zorientowane aspektowo rozszerzenie dla języka Java.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadatadir},%{_bindir}}

install lib/*.jar $RPM_BUILD_ROOT%{_javadatadir}

cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/ajbrowser
#!/bin/sh

[ -z "\$JAVA_HOME" ] && JAVA_HOME=%{_javalibdir}
[ -z "\$ASPECTJ_HOME" ] && ASPECTJ_HOME=%{_javadatadir}

java -classpath "\$ASPECTJ_HOME/aspectjtools.jar:\$JAVA_HOME/lib/tools.jar:\$CLASSPATH" -Xmx64M org.aspectj.tools.ajbrowser.Main "\$@"
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/ajc
#!/bin/sh

[ -z "\$JAVA_HOME" ] && JAVA_HOME=%{_javalibdir}
[ -z "\$ASPECTJ_HOME" ] && ASPECTJ_HOME=%{_javadatadir}

java -classpath "\$ASPECTJ_HOME/aspectjtools.jar:\$JAVA_HOME/lib/tools.jar:\$CLASSPATH" -Xmx64M org.aspectj.tools.ajc.Main "\$@"
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/ajdoc
#!/bin/sh

[ -z "\$JAVA_HOME" ] && JAVA_HOME=%{_javalibdir}
[ -z "\$ASPECTJ_HOME" ] && ASPECTJ_HOME=%{_javadatadir}

java -classpath "\$ASPECTJ_HOME/aspectjtools.jar:\$JAVA_HOME/lib/tools.jar:\$CLASSPATH" -Xmx64M org.aspectj.tools.ajdoc.Main "\$@"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat <<EOF

 Rmember to add %{_javadatadir}/aspectjtools.jar to your CLASSPATH.
 This small .jar file contains classes required by any program
 compiled with the ajc compiler.

EOF

%files
%defattr(644,root,root,755)
%doc README* LICENSE* doc/*
%attr(755,root,root) %{_bindir}/*
%{_javadatadir}/*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aspectj.spec,v $
Revision 1.11  2008/06/11 10:28:29  baggins
- 1.6.0

Revision 1.10  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.8  2006/11/02 15:58:32  baggins
- updated to 1.5.2a

Revision 1.7  2004/10/29 23:49:07  qboosh
- pl summary, descs from summaries

Revision 1.6  2004/10/29 19:42:41  baggins
- release 1
- added informative post

Revision 1.5  2004/10/29 19:37:17  baggins
- fixed scripts

Revision 1.4  2004/10/29 19:24:26  ankry
- script build fixes

Revision 1.3  2004/10/29 19:23:56  baggins
- added missing dir

Revision 1.2  2004/10/29 19:22:46  baggins
- added scripts

Revision 1.1  2004/10/29 19:03:50  baggins
- initial revision
- NFY
